<id>
global_mods.mod
</id>

<version>
2.1 SP1
</version>

<mod info>
Creates a new user status: Global Moderator.
When a user's status is set to Global Moderator, the user has the same powers as any moderator, but on every board in your YaBB. The user's name will not show up on the moderator list, however. The user's status title can be customized in the admin center in the Edit Member Groups section just as you would customize normal admin and moderator names.
Global moderators may also edit the news, the censored words and the banned members list. The admin may turn off this feature in the admin center.
You don't need this mod if you have installed the 'add more membergroups' mod. 

Before installing this mod:

- Change english.lng to the name of your language file

After installing this mod:

- Upload the file stargmod.gif into your YaBBImages directory (binary mode)
- If you have installed the announcement_board_sp.mod you should install the global_mod_announce_patch.mod

- If you have installed the close_thread.mod you should install the global_mod_close_thread_patch.mod

History:
v2.1:
- Security Bug fixed (hidden mail addy displayed in memberlist)
v2.0:
- SP1 compatible

- Global Moderators now can see hidden mail addresses

- more actions in "Global Moderators - Center"

- List Global Moderators in Admin and GM - Center (Sonic)
- IP is shown for the GM, because GM can ban members (dOCdaS)

v1.1: Major bug fixed where moderators lost powers when groupname was changed and profile was edited.
</mod info>

<author>
Bjoern, previous versions: DaveB
</author>

<edit file>
Sources/Recent.pl
</edit file>

<search for>
			if($settings[7] ne 'Administrator' && !exists $membergroups{$settings[7]}) { next; }
</search for>

<replace>
			if($settings[7] ne 'Administrator' && $settings[7] ne 'Global Moderator' && !exists $membergroups{$settings[7]}) { next; }
</replace>

<search for>
		if( ! $cataccess{$curcat} || $settings[7] eq 'Administrator' ) {
</search for>

<replace>
		if( ! $cataccess{$curcat} || $settings[7] eq 'Administrator' || $settings[7] eq 'Global Moderator' ) {
</replace>

<edit file>
Sources/BoardIndex.pl
</edit file>

<search for>
		if(!$cataccess{$curcat} || $settings[7] eq 'Administrator') { $openmemgr{$curcat} = 1; }
</search for>

<replace>
		if(!$cataccess{$curcat} || $settings[7] eq 'Administrator' || $settings[7] eq 'Global Moderator') { $openmemgr{$curcat} = 1; }
</replace>

<search for>
		if(!$curcataccess || $settings[7] eq 'Administrator') { $openmemgr = 1; }
</search for>

<replace>
		if(!$curcataccess || $settings[7] eq 'Administrator' || $settings[7] eq 'Global Moderator') { $openmemgr = 1; }
</replace>

<edit file>
Sources/Admin.pl
</edit file>

<search for>
sub FullStats {
</search for>

<add before>
sub Moderate {
	&is_admin_or_gmod;

	# Load data for the 'remove old messages' feature, get totals, and get moderators
	fopen(FILE, "$vardir/oldestmes.txt");
	$maxdays = <FILE>;
	fclose(FILE);

	$yymain .= qq~
<map NAME="egg">
<AREA SHAPE="poly" COORDS="33,63,37,60,44,60,45,62,39,64" HREF="http://yabb.xnull.com/01g.php">
</MAP>
<table border="0" cellpadding="0" cellspacing="0" align="center" width="100%">
  <tr>
    <td valign="top" colspan="3" align="center">
    <table border="0" cellpadding="4" cellspacing="1" bgcolor="$color{'bordercolor'}" class="bordercolor" width="100%">
      <tr>
        <td bgcolor="$color{'titlebg'}" height="24" class="titlebg" align="center"><font size="3"><B>$txt{'gmod5'}</B></font></td>
      </tr>
    </table>
    </td>
  </tr><tr>
    <td valign="top"><BR>
    <table border="0" cellpadding="4" cellspacing="1" bgcolor="$color{'bordercolor'}" class="bordercolor" width="100%">
      <tr>
        <td width="400" bgcolor="$color{'catbg'}" height="19" class="catbg"><img src="$imagesdir/board.gif" alt="" border="0"> <font size="2"><b>$txt{'428'}</b></font></td>
      </tr><tr>
        <td bgcolor="$color{'windowbg2'}" class="windowbg2"><font size="1">
        - <a href="$cgi;action=editnews">$txt{'7'}</a><br>
        - <a href="$cgi;action=setcensor">$txt{'135'}</a>
        </font></td>
      </tr>
    </table><BR>
    <table border="0" cellpadding="4" cellspacing="1" bgcolor="$color{'bordercolor'}" class="bordercolor" width="100%">
      <tr>
        <td bgcolor="$color{'catbg'}" height="19" class="catbg"><img src="$imagesdir/board.gif" alt="" border="0"> <font size="2"><b>$txt{'426'}</b></font></td>
      </tr><tr>
        <td bgcolor="$color{'windowbg2'}" class="windowbg2"><font size="1">
        - <a href="$cgi;action=ipban">$txt{'206'}</a><br>
        </font></td>
      </tr>
    </table><BR>
    </td>
    <td width="6">&nbsp;</td>
    <td valign="top"><BR>
    <table border="0" cellpadding="5" cellspacing="1" align="center" bgcolor="$color{'bordercolor'}" class="bordercolor" width="100%">
      <tr>
        <td class="windowbg2" bgcolor="$color{'windowbg2'}" width="100%">
        <table width="100%" cellpadding="4">
          <tr>
            <td class="windowbg2" bgcolor="$color{'windowbg2'}" valign="middle" align="center" width="50"><img src="$imagesdir/administrator.gif" border="0" alt="" usemap="#egg"></td>
            <td class="windowbg2" bgcolor="$color{'windowbg2'}">
            <font size="1"><B>$txt{'248'} $username!</B><BR><BR>
            $txt{'gmod6'}</font></td>
          </tr>
        </table>
        </td>
      </tr>
    </table>
    <BR>
    <table border="0" cellpadding="5" cellspacing="1" align="center" bgcolor="$color{'bordercolor'}" class="bordercolor" width="100%">
      <tr>
	<td class="catbg" bgcolor="$color{'catbg'}" colspan="2"><img src="$imagesdir/info.gif" alt="" border="0"> <font size="2"><B>$txt{'645'}</B></font></td>
      </tr><tr>
        <td class="windowbg2" bgcolor="$color{'windowbg2'}" colspan="2"><font size="1">
        <a href="$scripturl?action=stats">$txt{'795'}</a><BR>
        <a href="$scripturl?action=showclicks">$txt{'693'}</a>
        <BR><b>$txt{'425'}:</b> $YaBBversion/<img src="http://yabb.xnull.com/images/versioninfo/versioncheck.gif">
        <BR>(<a href="$cgi;action=detailedversion">$txt{'429'}</a>)
        </font></td>
      </tr>
    </table><BR>
    <table border="0" cellpadding="5" cellspacing="1" align="center" bgcolor="$color{'bordercolor'}" class="bordercolor" width="100%">
      <tr>
	<td class="catbg" bgcolor="$color{'catbg'}" colspan="2"><img src="$imagesdir/info.gif" alt="" border="0"> <font size="2"><B>$txt{'571'}</B></font></td>
      </tr><tr>
        <td class="windowbg2" bgcolor="$color{'windowbg2'}" colspan="2">
        <font size="1"><BR><i><B>Service Pack l:</B></i> Special thanks to Corey Chapman, Bjoern Berg, Dave Baughman, Tim
        Cueppens, Jay Silverman and Gunther Meyer.
        <BR><BR><i><B>YaBB 1 Gold:</B></i> Corey Chapman, Darya Misse, Popeye, [CV]XXL, Dave Baughman,
        Dave G, Carey P, Christian Land, Tim Cueppens, ejdmoo, StarSaber, Parham and the rest for helping out with
        graphics, code and other things :-)
        <BR><BR><i><B>YaBB 1 Final:</B></i> Zef Hemel, Jeff Lewis, Christian Land, Corey Chapman, Peter Crouch
        and a bunch of others we want to thank!</font>
        </font></td>
      </tr>
    </table>
    </td>
  </tr>
</table>
~;
	$yytitle = "$txt{'gmod5'}";
	&template;
	exit;

}
</add before>

<search for>
		$yyAccessCat{$curcat} = $settings[7] eq 'Administrator' || $moderators{$username} || ! $curcataccess;
</search for>

<replace>
		$yyAccessCat{$curcat} = $settings[7] eq 'Administrator' || $settings[7] eq 'Global Moderator' || $moderators{$username} || ! $curcataccess;
</replace>

<search for>
	&LoadAdmins;
</search for>

<add after>
	&LoadGMods;
</add after>

<search for>
    <font size="2"><B>$txt{'684'}:</B></font> <font size="1">$administrators</font><BR><BR>
</search for>

<add after>
    <font size="2"><B>$txt{'gmod4'}:</B></font> <font size="1">$gmoderators</font><BR><BR>
</add after>

<search for>
sub ShowClickLog {
	&is_admin;
</search for>

<replace>
sub ShowClickLog {
	&is_admin_or_gmod;
</replace>

<search for>
sub ipban {
	&is_admin;
</search for>

<replace>
sub ipban {
	&is_admin_or_gmod;
</replace>

<search for>
sub ipban2 {
	&is_admin;
</search for>

<replace>
sub ipban2 {
	&is_admin_or_gmod;
</replace>

<search for>
sub ver_detail {
	&is_admin;
</search for>

<replace>
sub ver_detail {
	&is_admin_or_gmod;
</replace>

<search for>
sub FullStats {
	&is_admin;
</search for>

<replace>
sub FullStats {
	&is_admin_or_gmod;
</replace>

<edit file>
Sources/AdminEdit.pl
</edit file>

<search for>
sub EditNews {
	&is_admin;
</search for>

<replace>
sub EditNews {
	&is_admin_or_gmod;
</replace>

<search for>
sub EditNews2 {
	&is_admin;
</search for>

<replace>
sub EditNews2 {
	&is_admin_or_gmod;
</replace>

<search for>
sub SetCensor {
	&is_admin;
</search for>

<replace>
sub SetCensor {
	&is_admin_or_gmod;
</replace>

<search for>
sub SetCensor2 {
	&is_admin;
</search for>

<replace>
sub SetCensor2 {
	&is_admin_or_gmod;
</replace>

<search for>
	for( $i = 7; $i < @lines; ++$i ) {
</search for>

<replace>
	for( $i = 8; $i < @lines; ++$i ) {
</replace>

<search for>
	$yymain .= qq~
<table border="0" width="600" cellspacing=1 bgcolor="$color{'bordercolor'}" class="bordercolor" align="center" cellpadding="4">
</search for>

<add before>
	if (!$lines[7]) { $lines[7] = "Global Moderator"; }
</add before>

<search for>
        <td><input type=text name="admin" size=30 value="$lines[0]"></td>
</search for>

<add after>
      </tr><tr>
        <td align="right"><font size=2><b>$txt{'gmod2'}:</b></font></td>
        <td><input type=text name="global" size=30 value="$lines[7]"></td>
</add after>

<search for>
	print FILE "$FORM{'god'}\n";
</search for>

<add after>
	print FILE "$FORM{'global'}\n";
</add after>

<search for>
	my($snfchecked, $fls1, $fls2, $fls3, $utfchecked, $truncchecked, $mts1, $mts2, $mts3, $tsl6, $tsl5, $tsl4, $tsl3, $tsl2, $tsl1);
</search for>

<add after>
	my($gmodchecked);
</add after>

<search for>
	if ($enable_ubbc) { $ubbcchecked = ' checked'; }
</search for>

<add before>
	if ($allow_mod) { $gmodchecked = ' checked'; }
</add before>

<search for>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><input type=checkbox name="enable_guestposting" $gpchecked></td>
</search for>

<add after>
  </tr><tr>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><font size="2">$txt{'gmod3'}</font></td>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><input type=checkbox name="allow_mod" value="1"$gmodchecked></td>
</add after>

<search for>
	$timeout = $FORM{'timeout'} || 5;
</search for>

<add before>
	$allow_mod = $FORM{'allow_mod'} || 0;
</add before>

<search for>
########## Feature Settings ##########

</search for>

<add after>
\$allow_mod = $allow_mod;  				# Set to 1 to activate a "Global Moderators - Center"
</add after>

<edit file>
Sources/Display.pl
</edit file>

<search for>
		$mip = $settings[7] eq 'Administrator' ? $mip : "$txt{'511'}";
</search for>

<replace>
		$mip = $settings[7] eq 'Administrator' || $settings[7] eq 'Global Moderator' ? $mip : "$txt{'511'}";
</replace>

<search for>
	elsif ($userprofile[19] ne "checked" || $settings[7] eq "Administrator" || $allow_hide_email ne 1) {
</search for>

<replace>
	elsif ($userprofile[19] ne "checked" || $settings[7] eq "Administrator" || $settings[7] eq 'Global Moderator' || $allow_hide_email ne 1) {
</replace>

<search for>
	if(exists $moderators{$username} || $settings[7] eq 'Administrator' || $username eq $musername) {
</search for>

<replace>
	if(exists $moderators{$username} || $settings[7] eq 'Administrator' || $settings[7] eq 'Global Moderator' || $username eq $musername) {
</replace>

<search for>
	if(exists $moderators{$username} || $settings[7] eq 'Administrator') {
</search for>

<replace>
	if(exists $moderators{$username} || $settings[7] eq 'Administrator' || $settings[7] eq 'Global Moderator') {
</replace>

<edit file>
Sources/Load.pl
</edit file>

<search for>
sub LoadLogCount {
	&is_admin;
</search for>

<replace>
sub LoadLogCount {
	&is_admin_or_gmod;
</replace>

<search for>
sub LoadAdmins {
	&is_admin;
</search for>

<replace>
sub LoadAdmins {
	&is_admin_or_gmod;
</replace>

<search for>
		if (!$user_ip && $settings[7] eq 'Administrator') { $yyim .= qq~<br><b>$txt{'773'}</b>~; }
</search for>

<replace>
		if (!$user_ip && ($settings[7] eq 'Administrator' || $settings[7] eq 'Global Moderator')) { $yyim .= qq~<br><b>$txt{'773'}</b>~; }
</replace>

<search for>
	if($userprofile{$user}->[7] eq 'Administrator') {
		$memberstar{$user} = qq~<img src="$imagesdir/staradmin.gif" border="0" alt="*"><img src="$imagesdir/staradmin.gif" border="0" alt="*"><img src="$imagesdir/staradmin.gif" border="0" alt="*"><img src="$imagesdir/staradmin.gif" border="0" alt="*"><img src="$imagesdir/staradmin.gif" border="0" alt="*">~;
		$memberinfo{$user} = "<B>$membergroups[0]</B>";
	}
</search for>

<add after>
	if( $userprofile{$user}->[7] eq 'Global Moderator' ) {
		$memberstar{$user} = qq~<img src="$imagesdir/stargmod.gif" border="0" alt="*"><img src="$imagesdir/stargmod.gif" border="0" alt="*"><img src="$imagesdir/stargmod.gif" border="0" alt="*"><img src="$imagesdir/stargmod.gif" border="0" alt="*"><img src="$imagesdir/stargmod.gif" border="0" alt="*">~;
		$memberinfo{$user} = "<B>$membergroups[7]</B>";
	}
</add after>

<search for>
	if($userprofile{$user}->[7] && $userprofile{$user}->[7] ne 'Administrator') { $groupinfo{$user} = "$userprofile{$user}->[7]<BR>"; }
</search for>

<replace>
	if( ($userprofile{$user}->[7] && $userprofile{$user}->[7] ne 'Administrator') || ($userprofile{$user}->[7] && $userprofile{$user}->[7] ne 'Global Moderator') ) { $groupinfo{$user} = "$userprofile{$user}->[7]<BR>"; }
</replace>

<search for>
	if($userprofile{$user}->[7] ne 'Administrator') {
</search for>

<replace>
	if($userprofile{$user}->[7] ne 'Administrator' && $userprofile{$user}->[7] ne 'Global Moderator') {
</replace>

<search for>
sub LoadLogCount {
</search for>

<add before>
sub LoadGMods {
	&is_admin_or_gmod;
	my (@members, $curentry);

	$gmoderators = '';
	fopen(FILE, "$memberdir/memberlist.txt");
	@members = <FILE>;
	fclose(FILE);
	foreach $curentry (@members) {
		chomp $curentry;
		&LoadUser($curentry);
		if($userprofile{$curentry}->[7] eq 'Global Moderator') {
			$gmoderators .= qq~ <a href="$scripturl?action=viewprofile;username=$useraccount{$curentry}">$userprofile{$curentry}->[1]</a><font size="1">,</font> \n~;
		}
	}
	$gmoderators =~ s~<font size="1">,</font> \n\Z~~;
}
</add before>

<edit file>
Sources/LockThread.pl
</edit file>

<search for>
		if((exists $moderators{$username}) || $settings[7] eq "Administrator" || ($username eq $mname && $username ne 'Guest')) {
</search for>

<replace>
		if((exists $moderators{$username}) || $settings[7] eq "Administrator" || $settings[7] eq "Global Moderator" || ($username eq $mname && $username ne 'Guest')) {
</replace>

<edit file>
Sources/ModifyMessage.pl
</edit file>

<search for>
	if($musername ne $username && (!exists $moderators{$username}) && $settings[7] ne 'Administrator' ) {
</search for>

<replace>
	if($musername ne $username && (!exists $moderators{$username}) && $settings[7] ne 'Administrator' && $settings[7] ne 'Global Moderator' ) {
</replace>

<search for>
			unless($musername eq $username || exists $moderators{$username} || $settings[7] eq 'Administrator') {
</search for>

<replace>
			unless($musername eq $username || exists $moderators{$username} || $settings[7] eq 'Administrator' || $settings[7] eq 'Global Moderator') {
</replace>

<search for>
			unless($musername eq $username || exists $moderators{$username} || $settings[7] eq 'Administrator') {
</search for>

<replace>
			unless($musername eq $username || exists $moderators{$username} || $settings[7] eq 'Administrator' || $settings[7] eq 'Global Moderator') {
</replace>

<edit file>
Sources/MoveThread.pl
</edit file>

<search for>
	if((!exists $moderators{$username}) && $settings[7] ne "Administrator") { &fatal_error("$txt{'134'}"); }
</search for>

<replace>
	if((!exists $moderators{$username}) && $settings[7] ne "Administrator" && $settings[7] ne "Global Moderator") { &fatal_error("$txt{'134'}"); }
</replace>

<search for>
	if((!exists $moderators{$username}) && $settings[7] ne "Administrator") { &fatal_error("$txt{'134'}"); }
</search for>

<replace>
	if((!exists $moderators{$username}) && $settings[7] ne "Administrator" && $settings[7] ne "Global Moderator") { &fatal_error("$txt{'134'}"); }
</replace>

<edit file>
Sources/Profile.pl
</edit file>

<search for>
	if($settings[7] eq 'Administrator') {
		$position='';
		foreach $curl (@lines) {
			if($curl ne $lines[1] && $curl ne $lines[2] && $curl ne $lines[3] && $curl ne $lines[4] && $curl ne $lines[5] && $curl ne $lines[6]) {
				if($curl ne $lines[0]) { $position= qq~$position<option>$curl~; }
				else { $position= qq~$position<option value="Administrator">$curl~; }
			}
		}
		if($memsettings[7] eq 'Administrator') { $tt = $lines[0]; }
		else { $tt = $memsettings[7]; }
</search for>

<replace>
	if($settings[7] eq 'Administrator') {
		$position='';
		foreach $curl (@lines) {
			if($curl ne $lines[1] && $curl ne $lines[2] && $curl ne $lines[3] && $curl ne $lines[4] && $curl ne $lines[5] && $curl ne $lines[6]) {
				if($curl ne $lines[0] && $curl ne $lines[7]) { $position= qq~$position<option>$curl~; }
				elsif($curl eq $lines[0]) { $position= qq~$position<option value="Administrator">$curl~; }
				elsif($curl eq $lines[7]) { $position= qq~$position<option value="Global Moderator">$curl~; }
			}
		}
		if($memsettings[7] eq 'Administrator') { $tt = $lines[0]; }
		elsif($memsettings[7] eq 'Global Moderator') { $tt = $lines[7]; }
		else { $tt = $memsettings[7]; }
</replace>

<search for>
		if( ! $cataccess{$curcat} || $settings[7] eq 'Administrator' ) {
</search for>

<replace>
		if( ! $cataccess{$curcat} || $settings[7] eq 'Administrator' || $settings[7] eq 'Global Moderator' ) {
</replace>

<search for>
	if ($memsettings[19] ne "checked" || $settings[7] eq "Administrator" || !$allow_hide_email) {
</search for>

<replace>
	if ($memsettings[19] ne "checked" || $settings[7] eq "Administrator"  || $settings[7] eq 'Global Moderator' || !$allow_hide_email) {
</replace>

<edit file>
Sources/RemoveThread.pl
</edit file>

<search for>
	if((!exists $moderators{$username}) && $settings[7] ne "Administrator") {
</search for>

<replace>
	if((!exists $moderators{$username}) && $settings[7] ne "Administrator" && $settings[7] ne "Global Moderator") {
</replace>

<edit file>
Sources/Security.pl
</edit file>

<search for>
sub banning {
</search for>

<add before>
sub is_admin_or_gmod {
	if($settings[7] ne 'Administrator' && ($settings[7] ne 'Global Moderator' || $allow_mod != 1)) { &fatal_error($txt{'1'}); }
}
</add before>

<edit file>
Sources/Subs.pl
</edit file>

<search for>
	if($settings[7] eq 'Administrator') { $yymenu .= qq~$menusep<a href="$cgi;action=admin">$img{'admin'}</a>~; }
</search for>

<add after>
	if($settings[7] eq 'Global Moderator' && $allow_mod == 1) { $yymenu .= qq~$menusep<a href="$cgi;action=moderate">$img{'moderate'}</a>~; }
</add after>

<search for>
		$yyAccessCat{$curcat} = $settings[7] eq 'Administrator' || $moderators{$username} || ! $curcataccess;
</search for>

<replace>
		$yyAccessCat{$curcat} = $settings[7] eq 'Administrator' || $settings[7] eq 'Global Moderator' || $moderators{$username} || ! $curcataccess;
</replace>

<search for>
		$yyAccessCat{$yyCatBoard{$curboard}} = $settings[7] eq 'Administrator' || $moderators{$username} || ! $curcataccess;
</search for>

<replace>
		$yyAccessCat{$yyCatBoard{$curboard}} = $settings[7] eq 'Administrator' || $settings[7] eq 'Global Moderator' || $moderators{$username} || ! $curcataccess;
</replace>

<edit file>
YaBB.pl
</edit file>

<search for>
		   if ($action eq 'modify') { require "$sourcedir/ModifyMessage.pl"; &ModifyMessage; }
</search for>

<replace>
		   if ($action eq 'moderate') { require "$sourcedir/Admin.pl"; &Moderate; }
		elsif ($action eq 'modify') { require "$sourcedir/ModifyMessage.pl"; &ModifyMessage; }
</replace>

<edit file>
Sources/Memberlist.pl
</edit file>

<search for>
				if ($member[19] eq "checked" && $settings[7] ne "Administrator" && $allow_hide_email eq 1) { $yymain .= qq~
</search for>

<replace>
				if ($member[19] eq "checked" && $settings[7] ne "Administrator" &&  $settings[7] ne 'Global Moderator' && $allow_hide_email eq 1) { $yymain .= qq~
</replace>

<search for>
			if ($member[19] eq "checked" && $settings[7] ne "Administrator" && $allow_hide_email eq 1) { $yymain .= qq~
</search for>

<replace>
			if ($member[19] eq "checked" && $settings[7] ne "Administrator" &&  $settings[7] ne 'Global Moderator' && $allow_hide_email eq 1) { $yymain .= qq~
</replace>

<search for>
		if ($member[19] eq "checked" && $settings[7] ne "Administrator" && $allow_hide_email eq 1) { $yymain .= qq~
</search for>

<replace>
		if ($member[19] eq "checked" && $settings[7] ne "Administrator" &&  $settings[7] ne 'Global Moderator' && $allow_hide_email eq 1) { $yymain .= qq~
</replace>

<edit file>
english.lng
</edit file>

<search for>
	$img{'memberlist'} = qq~<img src="$imagesdir/guest.gif" alt="$txt{'331'}" border="0"> <font size="1" class="imgmenu">$txt{'331'}</font>~;
</search for>

<add after>
	$img{'moderate'} = qq~<img src="$imagesdir/admin.gif" alt="$txt{'gmod1'}" border="0"> <font size="1" class="imgmenu">$txt{'gmod1'}</font>~;
</add after>

<search for>
	$img{'memberlist'} = qq~<font size="1" class="imgmenu">$txt{'331'}</font>~;
</search for>

<add after>
	$img{'moderate'} = qq~<font size="1" class="imgmenu">$txt{'gmod1'}</font>~;
</add after>

<search for>
if($MenuType == 1) {
</search for>

<add before>
$txt{'gmod1'} = "Admin";
$txt{'gmod2'} = "Global Moderator";
$txt{'gmod3'} = "Show Global Moderators the \"Global Moderators - Center\"?";
$txt{'gmod4'} = "Global Moderators";
$txt{'gmod5'} = "YaBB Global Moderators Center";
$txt{'gmod6'} = "This is your '$txt{'gmod5'}'. You can ban Members, edit the News and show at some statistics.<BR><BR>We thank you for using <a href=\"http://yabb.xnull.com\" target=\"_blank\">YaBB</a>!";

</add before>